#Script per generare i grafici della banda offerta e dello speedup al variare del grado di parallelismo.
set term post eps enhanced color "Helvetica, 22"
set grid
set key bottom right
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Definisco banda:
band(t) = 1000000/t

#Linee barre:
set style line 1 lw 3 lt 1 lc rgb "red" pointtype 11 pointsize 2
set style line 2 lw 3 lt 1 lc rgb "blue" pointtype 7 pointsize 2
set style line 3 lw 5 lt 7 lc rgb "black"
set style line 4 lw 5 lt 8 lc rgb "black"
set style line 5 lw 5 lt 2 lc rgb "black"

#Grafici banda:
set title "Offered bandwidth / no. of Workers"
set xtics (1,2,3,4,5,6,7,8,9,10,11,12)
set xrange [1:12]
set ylabel "Offered bandwidth (points/sec)" offset 2,0,0
set yrange [0:120000]
set ytics 20000
set xlabel "Parallelism degree (number of Workers)"
set output "rate_anti_bw.eps"
plot [1:12] "./rate_anti_50K.txt" using 2:(band($3)) w linespoint ls 1 title "Offered Bw (Case 1).", "./rate_anti_100K.txt" using 2:(band($3)) w linespoint ls 2 title "Offered Bw (Case 2).", 51000 w lines ls 3 title "Case 1 ({/Symbol l}=50K p/s).", 100000 w lines ls 4 title "Case 2 ({/Symbol l}=100K p/s)."

set output "rate_indip_bw.eps"
plot [1:12] "./rate_indip_50K.txt" using 2:(band($3)) w linespoint ls 1 title "Offered Bw (Case 1).", "./rate_indip_100K.txt" using 2:(band($3)) w linespoint ls 2 title "Offered Bw (Case 2).", 51000 w lines ls 3 title "Case 1 ({/Symbol l}=50K p/s).", 100000 w lines ls 4 title "Case 2 ({/Symbol l}=100K p/s)."

#Grafici speedup:
set title "Speedup of the Parallel Skyline"
set yrange [1:12]
set ytics (1, 2, 4, 6, 8, 10, 12)
set ylabel "Speedup" offset 2,0,0
set output "rate_anti_scal.eps"
plot [1:12] "./rate_anti_50K.txt" using 2:7 w linespoint ls 1 title "Case 1 ({/Symbol l}=50K p/s).", "./rate_anti_100K.txt" using 2:7 w linespoint ls 2 title "Case 1 ({/Symbol l}=100K p/s).", x w lines ls 5 title "Ideal."

set output "rate_indip_scal.eps"
plot [1:12] "./rate_indip_50K.txt" using 2:7 w linespoint ls 1 title "Case 1 ({/Symbol l}=50K p/s).", "./rate_indip_100K.txt" using 2:7 w linespoint ls 2 title "Case 1 ({/Symbol l}=100K p/s).", x w lines ls 5 title "Ideal."

system ("sh crop.sh")