#Script per generare i grafici della banda offerta e dello speedup al variare del grado di parallelismo.
set term post eps enhanced color "Helvetica, 22"
set grid
set key bottom right
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Definisco banda:
band(t) = 1000000/t

#Linee barre:
set style line 1 lw 3 lt 1 lc rgb "red" pointtype 11 pointsize 2
set style line 2 lw 3 lt 1 lc rgb "#008000" pointtype 7 pointsize 2
set style line 3 lw 3 lt 1 lc rgb "blue" pointtype 5 pointsize 2
set style line 4 lw 3 lt 1 lc rgb "#800080" pointtype 3 pointsize 2
set style line 5 lw 5 lt 2 lc rgb "black"

#Grafici banda:
set title "Offered bandwidth / no. of Workers"
set xtics (1,2,3,4,5,6,7,8,9,10,11,12)
set xrange [1:12]
set ylabel "Offered bandwidth (points/sec)" offset 1,0,0
set yrange [0:45000]
set ytics ("0" 0, "9000" 9000, "18000" 18000, "27000" 27000, "36000" 36000, "45000" 45000)
set xlabel "Parallelism degree (number of Workers)"
set output "win_anti_bw.eps"
plot [1:12] "./win_anti_w10.txt" using 2:(band($3)) w linespoints ls 1 title "Tw=10sec.", "./win_anti_w30.txt" using 2:(band($3)) w linespoints ls 2 title "Tw=30sec.", "./win_anti_w60.txt" using 2:(band($3)) w linespoints ls 3 title "Tw=60sec.", "./win_anti_w90.txt" using 2:(band($3)) w linespoints ls 4 title "Tw=90sec.", 41000 w lines ls 5 title "Required Bw."

set output "win_indip_bw.eps"
plot [1:12] "./win_indip_w10.txt" using 2:(band($3)) w linespoints ls 1 title "Tw=10sec.", "./win_indip_w30.txt" using 2:(band($3)) w linespoints ls 2 title "Tw=30sec.", "./win_indip_w60.txt" using 2:(band($3)) w linespoints ls 3 title "Tw=60sec.", "./win_indip_w90.txt" using 2:(band($3)) w linespoints ls 4 title "Tw=90sec.", 41000 w lines ls 5 title "Required Bw."

#Grafici speedup:
set title "Speedup of the Parallel Skyline"
set yrange [1:12]
set ytics (1, 2, 4, 6, 8, 10, 12)
set key top left
set ylabel "Speedup" offset 2,0,0
set output "win_anti_scal.eps"
plot [1:12] "./win_anti_w10.txt" using 2:7 w linespoint ls 1 title "Tw=10sec.", "./win_anti_w30.txt" using 2:7 w linespoint ls 2 title "Tw=30sec.", "./win_anti_w60.txt" using 2:7 w linespoint ls 3 title "Tw=60sec.", "./win_anti_w90.txt" using 2:7 w linespoint ls 4 title "Tw=90sec.", x w lines ls 5 title "Ideal."

set output "win_indip_scal.eps"
plot [1:12] "./win_indip_w10.txt" using 2:7 w linespoint ls 1 title "Tw=10sec.", "./win_indip_w30.txt" using 2:7 w linespoint ls 2 title "Tw=30sec.", "./win_indip_w60.txt" using 2:7 w linespoint ls 3 title "Tw=60sec.", "./win_indip_w90.txt" using 2:7 w linespoint ls 4 title "Tw=90sec.", x w lines ls 5 title "Ideal."

system ("sh crop.sh")