#Script per generare i grafici del massimo input rate sostenibile al variare della dimensionalità.
set term post eps enhanced color "Helvetica, 22"
set grid
set key top right
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Tipo di grafico:
set style data histogram
set style histogram cluster gap 1.5
set style fill solid 0.5 border 0
set boxwidth 0.9 relative

#Tipi di linea:
set style line 2 lc rgb 'black' lt 1 lw 3
set style line 3 lc rgb '#6D6D6D' lt 1 lw 3
set style line 4 lc rgb '#CCCCCC' lt 1 lw 3

#Titolo assi:
set ylabel "Max. input rate (points/sec) - logscale" offset 2,0,0
set xlabel "Dimensionality"

#Grafici:
set output "dim_30.eps"
set title "Maximum rate varying the dimensionality (Tw=30 sec.)"
set logscale y
set yrange [1000:500000]
set ytics (1000, 1000, 10000, 100000, 500000)
#set ytics (1000, 4000, 8000, 20000, 50000, 100000, 350000)
plot "dim_30*.txt" u 2:xtic(1) ls 2 fs pattern 3 title "Independent.", "" u 3:xtic(1) ls 3 fs pattern 3 title "Anticorrelated.", "" u 4:xtic(1) ls 4 fs pattern 3 title "Correlated."

set output "dim_60.eps"
set title "Maximum rate varying the dimensionality (Tw=60 sec.)"
plot "dim_60*.txt" u 2:xtic(1) ls 2 fs pattern 3 title "Independent.", "" u 3:xtic(1) ls 3 fs pattern 3 title "Anticorrelated.", "" u 4:xtic(1) ls 4 fs pattern 3 title "Correlated."

system("sh crop.sh")