#Script per generare i grafici del massimo input rate sostenibile.
set term post eps enhanced color "Helvetica, 22"
set grid
set key top left
set size ratio 0.4

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Tipo di grafico:
set style data histogram
set style histogram cluster gap 1.5
set style fill solid 0.5 border 0
set boxwidth 0.9 relative

#Tipi di linea:
set style line 2 lc rgb 'black' lt 1 lw 3
set style line 3 lc rgb '#6D6D6D' lt 1 lw 3

#Titolo assi:
set ylabel "Max. input rate (points/sec)" offset 2,0,0
set xlabel "Parallelism degree (number of Workers)"

#Grafici Intel:
set output "max-rate_anti_intel.eps"
set title "Anticorrelated distribution (Intel multicore)"
set yrange [0:40000]
set ytics 8000
plot "rates_30s_anti_intel.txt" u 2:xtic(1) ls 2 fs pattern 3 title "Tw=30 sec.", "rates_60s_anti_intel.txt" u 2:xtic(1) ls 3 fs pattern 3 title "Tw=60 sec."

set output "max-rate_indip_intel.eps"
set title "Independent distribution (Intel multicore)"
set yrange [0:90000]
set ytics 18000
plot "rates_30s_indip_intel.txt" u 2:xtic(1) ls 2 fs pattern 3 title "Tw=30 sec.", "rates_60s_indip_intel.txt" u 2:xtic(1) ls 3 fs pattern 3 title "Tw=60 sec."

set output "max-rate_corr_intel.eps"
set title "Correlated distribution (Intel multicore)"
set yrange [0:350000]
set ytics 70000
plot "rates_30s_corr_intel.txt" u 2:xtic(1) ls 2 fs pattern 3 title "Tw=30 sec.", "rates_60s_corr_intel.txt" u 2:xtic(1) ls 3 fs pattern 3 title "Tw=60 sec."

#Grafici AMD:
set output "max-rate_anti_amd.eps"
set title "Anticorrelated distribution (AMD multicore)"
set yrange [0:40000]
set ytics 8000
plot "rates_30s_anti_amd.txt" u 2:xtic(1) ls 2 fs pattern 3 title "Tw=30 sec.", "rates_60s_anti_amd.txt" u 2:xtic(1) ls 3 fs pattern 3 title "Tw=60 sec."

set output "max-rate_indip_amd.eps"
set title "Independent distribution (AMD multicore)"
set yrange [0:90000]
set ytics 18000
plot "rates_30s_indip_amd.txt" u 2:xtic(1) ls 2 fs pattern 3 title "Tw=30 sec.", "rates_60s_indip_amd.txt" u 2:xtic(1) ls 3 fs pattern 3 title "Tw=60 sec."

set output "max-rate_corr_amd.eps"
set title "Correlated distribution (AMD multicore)"
set yrange [0:350000]
set ytics 70000
plot "rates_30s_corr_amd.txt" u 2:xtic(1) ls 2 fs pattern 3 title "Tw=30 sec.", "rates_60s_corr_amd.txt" u 2:xtic(1) ls 3 fs pattern 3 title "Tw=60 sec."

system("sh crop.sh")