#Script per generare il grafico della probabilità di pruning:
set term post eps enhanced color "Helvetica, 22"
set grid
set key top left
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Linee barre:
set style line 2 lc rgb 'black' lt 1 lw 3
set style line 3 lc rgb '#6D6D6D' lt 1 lw 3
set style line 4 lc rgb '#CCCCCC' lt 1 lw 3

#Stile grafico:
set style data histogram
set style histogram cluster gap 1
set style fill solid 0.5 border 0
set boxwidth 0.9 relative

#Grafico:
set yrange[0:38000]
set ytics 7600
set ylabel "No. non-obsolete points per window" offset 2,0,0
set xlabel "No. of received points per window"
set output "non-osb-points.eps"
set title "Non-obsolete points / received points"
plot "./pruning.txt" u 3:xtic(1) ls 2 fs pattern 3 title "Independent.", "" u 4:xtic(1) ls 3 fs pattern 3 title "Anticorrelated.", "" u 5:xtic(1) ls 4 fs pattern 3 title "Correlated."

system("sh crop.sh")