#Script per generare i grafici del massimo input rate sostenibile con il dataset reale.
set term post eps enhanced color "Helvetica, 22"
set grid
set key top left
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Tipo di grafico:
set style data histogram
set style histogram cluster gap 1.5
set style fill solid 0.5 border 0
set boxwidth 0.9 relative

#Tipi di linea:
set style line 2 lc rgb 'black' lt 1 lw 3
set style line 3 lc rgb '#4C4C4C' lt 1 lw 3
set style line 4 lc rgb '#CCCCCC' lt 1 lw 3
set style line 5 lc rgb 'black' lt 1 lw 6

#Titolo assi:
set ylabel "Max. input rate (points/sec)" offset 2,0,0
set xlabel "Parallelism degree (number of Workers)"

#Grafici:
set output "real_max-rate.eps"
set title "Maximum input rate - Real Dataset"
set yrange [0:150000]
set ytics 30000
plot "rates_real_30s.txt" u 2:xtic(1) ls 2 fs pattern 3 title "Tw=30 sec.", "rates_real_60s.txt" u 2:xtic(1) ls 4 fs pattern 3 title "Tw=60 sec."

set output "real_comp.eps"
set key top right
set title "Maximum input rate with 12 Workers"
set yrange [0:350000]
set ytics 70000
set xlabel "Window length (seconds)"
plot "rates_real_comp.txt" u 2:xtic(1) ls 4 fs pattern 3 title "Correlated.", "" u 3:xtic(1) ls 3 fs pattern 1 title "Real.", "" u 4:xtic(1) ls 2 fs pattern 3 title "Independent.", "" u 5:xtic(1) ls 5 fs pattern 0 title "Anticorr."

system("sh crop.sh")