#Script per generare il grafico di confronto pruning con le distribuzioni sintentiche e il dataset reale.
set term post eps enhanced color "Helvetica, 22"
set grid
set key top left
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Stile linee:
set style line 1 lt 1 lw 5 lc rgb "black" pointtype 5 pointsize 2
set style line 2 lt 3 lw 5 lc rgb "black" pointtype 7 pointsize 2
set style line 3 lt 4 lw 5 lc rgb "black" pointtype 13 pointsize 2
set style line 4 lt 5 lw 5 lc rgb "black" pointtype 2 pointsize 2

#Grafico:
set log x
set xrange [100000:2000000]
set xtics ("0" 0, "0.1M" 100000, "0.2M" 200000, "0.5M" 500000, "1M" 1000000, "2M" 2000000)
set xlabel "No. of received points per window"
set ylabel "No. non-obsolete points per window" offset 2,0,0
set log y
set yrange [100:60000]
set ytics (100, 1000, 10000)
set output "pruning_real.eps"
set title "Non-obsolete points / received points"
plot "pruning_real.txt" using 2:3 with linespoint ls 1 title "Independent.", "" using 2:4 with linespoint ls 2 title "Anticorrelated.", "" using 2:5 with linespoint ls 3 title "Correlated.", "" using 2:6 with linespoint ls 4 title "Real."

system("sh crop.sh")