#Script per generare il grafico del gain della reduce asincrona rispetto alla reduce sincrona:
set term post eps enhanced color "Helvetica, 22"
set grid
set key top left
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Tipo di grafico:
set style data histogram
set style histogram cluster gap 1
set boxwidth 0.80 relative
set style fill solid border -1

#Grafico:
set ylabel "Percentage gain (%)" offset 2,0,0
set xlabel "Parallelism degree (number of Workers)"
set output "reduce_gain.eps"
set title "Percentage gain with the Asynchronous Reduce" 
set yrange [0:20]
set ytics 4
plot "gain.txt" u 2:xtic(1) lc rgb "#4C4C4C" fs pattern 3 title "Gain."

system ("sh crop.sh")