#Script per generare il grafico dello speedup con reduce sincrona e asincrona.
set term post eps enhanced color "Helvetica, 22"
set grid
set key top left
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Linee barre:
set style line 1 lt 1 lw 6 lc rgb "red" pointtype 2 pointsize 1.5
set style line 2 lt 0 lw 5 lc rgb "black"
set style line 3 lt 1 lw 6 lc rgb "blue" pointtype 4 pointsize 1.5

#Grafico:
set title "Speedup / no. of Workers"
set xrange [0:13]
set xtics (1,2,3,4,5,6,7,8,9,10,11,12)
set yrange [0:13]
set ytics (1,2,3,4,5,6,7,8,9,10,11,12)
set ylabel "Speedup" offset 2,0,0
set xlabel "Parallelism degree (number of Workers)"
set output "reduce_speedup.eps"
plot "reduce_speedup.txt" using 1:2 w lp ls 1 title "Synchronous reduce.", "reduce_speedup.txt" using 1:3 w lp ls 3 title "Asynchronous reduce.", "reduce_speedup.txt" using 1:1 w l ls 2 title "Ideal."

system ("sh crop.sh")