#Script per generare il grafico di confronto tra R*-Tree e Array:
set term post eps enhanced color "Helvetica, 22"
set grid
set key top left
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Stile linee:
set style line 1 lt 1 lw 5 lc rgb "black" pointtype 5 pointsize 2
set style line 2 lt 3 lw 5 lc rgb "black" pointtype 2 pointsize 2

#Grafico:
set xtics 1000
set xlabel "No. of stored points (size of DB)"
set ylabel "Processing time per point (usec)"
set output "rtree_vect.eps"
set title "Processing time per point / no. of stored points"
plot "./rtree_vector_indip.txt" using 4:2 w lp ls 1 title "R*-Tree.", "./rtree_vector_indip.txt" using 4:3 w lp ls 2 title "Array."

system("sh crop.sh")