#Script per generare i grafici dello speedup.
set term post eps enhanced color "Helvetica, 22"
set grid
set key bottom right
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Definisco banda:
band(t) = 1000000/t

#Linee barre:
set style line 1 lw 6 lt 1 lc rgb "red" pointtype 10 pointsize 2
set style line 2 lw 6 lt 2 lc rgb "#008000" pointtype 6 pointsize 2
set style line 3 lw 6 lt 7 lc rgb "blue" pointtype 4 pointsize 2
set style line 4 lw 6 lt 8 lc rgb "#800080" pointtype 2 pointsize 2
set style line 5 lw 6 lt 0 lc rgb "black"

#Grafici speedup AMD:
set key top left
set title "Speedup / Parallelism degree"
set ylabel "Speedup" offset 2,0,0
set yrange [1:20]
set ytics (1,2,4,6,8,10,12,14,16,18,20)
set xlabel "Parallelism degree (number of Workers)"
set xtics (1,2,4,6,8,10,12,14,16,18,20)
set xrange [1:20]
set output "speedup_anti_amd.eps"
plot [1:20] "./speedup_llw+_anti_amd.txt" using 1:3 with linespoint ls 1 title "LLW+.", "./speedup_llw_anti_amd.txt" using 1:3 w linespoint ls 2 title "LLW.", "./speedup_rr_anti_amd.txt" using 1:3 w linespoint ls 3 title "RR.", "./speedup_od_anti_amd.txt" using 1:3 w linespoint ls 4 title "OD.", x w lines ls 5 title "Ideal."

set output "speedup_indip_amd.eps"
plot [1:20] "./speedup_llw+_indip_amd.txt" using 1:3 with linespoint ls 1 title "LLW+.", "./speedup_llw_indip_amd.txt" using 1:3 w linespoint ls 2 title "LLW.", "./speedup_rr_indip_amd.txt" using 1:3 w linespoint ls 3 title "RR.", "./speedup_od_indip_amd.txt" using 1:3 w linespoint ls 4 title "OD.", x w lines ls 5 title "Ideal."

set output "speedup_corr_amd.eps"
plot [1:20] "./speedup_llw+_corr_amd.txt" using 1:3 with linespoint ls 1 title "LLW+.", "./speedup_llw_corr_amd.txt" using 1:3 w linespoint ls 2 title "LLW.", "./speedup_rr_corr_amd.txt" using 1:3 w linespoint ls 3 title "RR.", "./speedup_od_corr_amd.txt" using 1:3 w linespoint ls 4 title "OD.", x w lines ls 5 title "Ideal."

system ("sh crop.sh")