#Script per generare i grafici dello speedup.
set term post eps enhanced color "Helvetica, 22"
set grid
set key bottom right
set size ratio 0.7

#Font size:
set xlabel font "Helvetica, 20"
set ylabel font "Helvetica ,20"
set key font "Helvetica, 18"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Definisco banda:
band(t) = 1000000/t

#Linee barre:
set style line 1 lw 6 lt 1 lc rgb "red" pointtype 10 pointsize 2
set style line 2 lw 6 lt 2 lc rgb "#008000" pointtype 6 pointsize 2
set style line 3 lw 6 lt 7 lc rgb "blue" pointtype 4 pointsize 2
set style line 4 lw 6 lt 8 lc rgb "#800080" pointtype 2 pointsize 2
set style line 5 lw 6 lt 0 lc rgb "black"

#Grafici speedup Intel:
set key top left
set title "Speedup / Parallelism degree"
set ylabel "Speedup" offset 2,0,0
set yrange [1:12]
set ytics (1, 2, 4, 6, 8, 10, 12)
set xlabel "Parallelism degree (number of Workers)"
set xtics (1,2,3,4,5,6,7,8,9,10,11,12)
set xrange [1:12]
set output "speedup_anti_intel.eps"
plot [1:12] "./speedup_anti_intel.txt" using 9:2 with linespoint ls 1 title "LLW+.", "./speedup_anti_intel.txt" using 9:4 with linespoint ls 2 title "LLW.", "./speedup_anti_intel.txt" using 9:6 with linespoint ls 3 title "RR.", "./speedup_anti_intel.txt" using 9:8 with linespoint ls 4 title "OD.", x with lines ls 5 title "Ideal."

set output "speedup_indip_intel.eps"
plot [1:12] "./speedup_indip_intel.txt" using 9:2 with linespoint ls 1 title "LLW+.", "./speedup_indip_intel.txt" using 9:4 with linespoint ls 2 title "LLW.", "./speedup_indip_intel.txt" using 9:6 with linespoint ls 3 title "RR.", "./speedup_indip_intel.txt" using 9:8 with linespoint ls 4 title "OD.", x with lines ls 5 title "Ideal."

set output "speedup_corr_intel.eps"
plot [1:12] "./speedup_corr_intel.txt" using 9:2 with linespoint ls 1 title "LLW+.", "./speedup_corr_intel.txt" using 9:4 with linespoint ls 2 title "LLW.", "./speedup_corr_intel.txt" using 9:6 with linespoint ls 3 title "RR.", "./speedup_corr_intel.txt" using 9:8 with linespoint ls 4 title "OD.", x with lines ls 5 title "Ideal."

system ("sh crop.sh")